Skip to main content

mPOS Authorizations: External Reader, Hardware PIN


This section describes how to process a mobile point-of-sale (mPOS) authorization using an external reader with hardware PIN entry. This type of transaction was previously known as a hybrid mPOS or chip-only mPOS transaction.

These API fields and values are specific to this use case:

FieldDescription
pointOfSaleInformation.pinEntrySolutionSet the value to PCI-PTS.
pointOfSaleInformation.terminalPinCapability—

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation" : {        "code" : "123456",        "transactionId": "12233445677",        "partner": {            "thirdPartyCertificationNumber":"123456789012"        }    },    "processingInformation": {        "commerceIndicator": "retail"    },    "pointOfSaleInformation": {        "trackData": "%B4xxxxxxxxxxx1111^TEST/CYBS         ^2512201019761100      00868000000?;",        "catLevel": "6",        "isDedicatedHardwareTerminal": "0",        "terminalPinCapability": "4",        "pinEntrySolution": "PCI-PTS",        "emv": {            "cardSequenceNumber": "01",            "tags": "9F3303204000950500000000009F3704518823719F100706011103A000009F26081E1756ED0E2134E29F36020015820200009C01009F1A0208409A030006219F02060000000020005F2A0208409F0306000000000000"        },        "entryMode": "contact",        "terminalCapability": "4"    },    "paymentInformation": {        "card": {            "type": "002"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "9900.00",            "currency": "USD"        }    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/6873925966666764004953/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6873925966666764004953"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6873925966666764004953/captures"        }    },    "clientReferenceInformation": {        "code": "123456"    },    "id": "6873925966666764004953",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "9900.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "type": "002"        }    },    "pointOfSaleInformation": {        "terminalId": "111111",        "emv": {            "tags": "9F02060000000009009C01009A030608025F2A0209789F1A0208409F260856BF299472BDB0C782025C009F360245679F370412135414950540800080009F1E04001122339F102006011A03900000112233445566778899AABBCCDD0390000011223344556677889F5301039F41030122339F03060001020304058407A00000000410109F2701809F34035E03009F090243219F3501059F3303E0B8C89110001122334455667788010203040506079F5B1000112233445566778801020304050607"        }    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "123456789619999",        "transactionId": "123456789619999",        "responseCode": "100",        "avs": {            "code": "1"        }    },    "reconciliationId": "718515862J420LJ2",    "status": "AUTHORIZED",    "submitTimeUtc": "2023-06-22T00:09:56Z"}
{    "clientReferenceInformation" : {        "code" : "123456",        "transactionId": "12233445677",        "partner": {            "thirdPartyCertificationNumber":"123456789012"        }    },    "processingInformation": {        "commerceIndicator": "retail"    },    "pointOfSaleInformation": {        "trackData": "%B4xxxxxxxxxxx1111^TEST/CYBS         ^2512201019761100      00868000000?;",        "catLevel": "6",        "terminalPinCapability": "4",        "pinEntrySolution": "PCI-PTS",        "emv": {            "cardSequenceNumber": "01",            "tags": "9F3303204000950500000000009F3704518823719F100706011103A000009F26081E1756ED0E2134E29F36020015820200009C01009F1A0208409A030006219F02060000000020005F2A0208409F0306000000000000"        },        "entryMode": "contact",        "terminalCapability": "4"    },    "paymentInformation": {        "card": {            "type": "001"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "9900.00",            "currency": "USD"        }    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/6873925966666764004953/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6873925966666764004953"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6873925966666764004953/captures"        }    },    "clientReferenceInformation": {        "code": "123456"    },    "id": "6873925966666764004953",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "9900.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "terminalId": "111111",        "emv": {            "tags": "9F02060000000009009C01009A030608025F2A0209789F1A0208409F260856BF299472BDB0C782025C009F360245679F370412135414950540800080009F1E04001122339F102006011A03900000112233445566778899AABBCCDD0390000011223344556677889F5301039F41030122339F03060001020304058407A00000000410109F2701809F34035E03009F090243219F3501059F3303E0B8C89110001122334455667788010203040506079F5B1000112233445566778801020304050607"        }    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "123456789619999",        "transactionId": "123456789619999",        "responseCode": "100",        "avs": {            "code": "1"        }    },    "reconciliationId": "718515862J420LJ2",    "status": "AUTHORIZED",    "submitTimeUtc": "2023-06-22T00:09:56Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.catLevel—
pointOfSaleInformation.emv.cardSequenceNumber—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryModeSet the value to contact.
pointOfSaleInformation.pinEntrySolutionSet the value to PCI-PTS.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
Mastercard-Specific Field
FieldDescription
pointOfSaleInformation.isDedicatedHardwareTerminalSet the value to 0.

Last published: September 29, 2026